GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address Class Reference

## Public Member Functions
String | getStreet ()
void | setStreet (String value)
String | getStreetNumber ()
void | setStreetNumber (String value)
String | getCountryCode ()
void | setCountryCode (String value)
String | getZIPCode ()
void | setZIPCode (String value)
String | getCity ()
void | setCity (String value)

## Protected Attributes
String | street
String | streetNumber
String | countryCode
String | zipCode
String | city

## Detailed Description

Delivery address attributes (for getDeliveryTimeFrame request)

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Street" type="{http://fpcs.gls-group.eu/v1/Common}StreetName" minOccurs="0"/>
            <element name="StreetNumber" type="{http://fpcs.gls-group.eu/v1/Common}StreetNumber" minOccurs="0"/>
            <element name="CountryCode" type="{http://fpcs.gls-group.eu/v1/Common}CountryCode"/>
            <element name="ZIPCode" type="{http://fpcs.gls-group.eu/v1/Common}ZIPCode"/>
            <element name="City" type="{http://fpcs.gls-group.eu/v1/Common}City" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 46 of file timeframe/Address.java.

## Member Function Documentation

## ◆ getCity()

String eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.getCity | ( |  | ) |

Gets the value of the city property.

Returns
  possible object is String

Definition at line 163 of file timeframe/Address.java.

## ◆ getCountryCode()

String eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.getCountryCode | ( |  | ) |

Gets the value of the countryCode property.

Returns
  possible object is String

Definition at line 115 of file timeframe/Address.java.

## ◆ getStreet()

String eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.getStreet | ( |  | ) |

Gets the value of the street property.

Returns
  possible object is String

Definition at line 67 of file timeframe/Address.java.

## ◆ getStreetNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.getStreetNumber | ( |  | ) |

Gets the value of the streetNumber property.

Returns
  possible object is String

Definition at line 91 of file timeframe/Address.java.

## ◆ getZIPCode()

String eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.getZIPCode | ( |  | ) |

Gets the value of the zipCode property.

Returns
  possible object is String

Definition at line 139 of file timeframe/Address.java.

## ◆ setCity()

void eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.setCity | ( | String | value | ) |

Sets the value of the city property.

Parameters

  value | allowed object is String

Definition at line 175 of file timeframe/Address.java.

## ◆ setCountryCode()

void eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.setCountryCode | ( | String | value | ) |

Sets the value of the countryCode property.

Parameters

  value | allowed object is String

Definition at line 127 of file timeframe/Address.java.

## ◆ setStreet()

void eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.setStreet | ( | String | value | ) |

Sets the value of the street property.

Parameters

  value | allowed object is String

Definition at line 79 of file timeframe/Address.java.

## ◆ setStreetNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.setStreetNumber | ( | String | value | ) |

Sets the value of the streetNumber property.

Parameters

  value | allowed object is String

Definition at line 103 of file timeframe/Address.java.

## ◆ setZIPCode()

void eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.setZIPCode | ( | String | value | ) |

Sets the value of the zipCode property.

Parameters

  value | allowed object is String

Definition at line 151 of file timeframe/Address.java.

## Member Data Documentation

## ◆ city

String eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.city
| protected

Definition at line 57 of file timeframe/Address.java.

## ◆ countryCode

String eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.countryCode
| protected

Definition at line 53 of file timeframe/Address.java.

## ◆ street

String eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.street
| protected

Definition at line 49 of file timeframe/Address.java.

## ◆ streetNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.streetNumber
| protected

Definition at line 51 of file timeframe/Address.java.

## ◆ zipCode

String eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.Address.zipCode
| protected

Definition at line 55 of file timeframe/Address.java.

The documentation for this class was generated from the following file:

- timeframe/Address.java